#include"CThreadMutex.h"


namespace Maid
{

	/*!
	 	@class	CThreadMutex CThreadMutex.h
	 	@brief	スレッド同期クラス
	\n			スレッド間の同期をとるのための mutex
	\n			プロセス間の同期用 mutex は CProcessMutex となります。
	*/

CThreadMutex::CThreadMutex()
{ 
	::InitializeCriticalSection( &m_Section );
}

CThreadMutex::~CThreadMutex()
{
	::DeleteCriticalSection( &m_Section );
}

void CThreadMutex::Lock()
{
	::EnterCriticalSection( &m_Section );
}

void CThreadMutex::Unlock()
{
	::LeaveCriticalSection( &m_Section );
}

}

